import java.io.*;

import javax.servlet.*;
import javax.servlet.http.*;

import java.sql.*;

public class DataServlet extends HttpServlet
{ 
    public void service (
	HttpServletRequest	request,
	HttpServletResponse	response
    ) throws ServletException, IOException
    {
	PrintWriter		out;
	String			title = "Test of Oracle DB Connection";

	String sql = request.getParameterValues("statement")[0];

	// set content type and other response header fields first
        response.setContentType("text/html");

	// then write the data of the response
	out = response.getWriter();

	out.println("<HTML><HEAD><TITLE>");
	out.println(title);
	out.println("</TITLE></HEAD><BODY>");
	out.println("<H1>" + title + "</H1>");

	try {
    // Load the Oracle JDBC driver
    Class.forName ("oracle.jdbc.driver.OracleDriver");
	} catch (ClassNotFoundException e) {
		out.println("Error loading Oracle JDBC Driver Class");
	};

	try {
    // Connect to the database
    // You must put a database name after the @ sign in the connection URL.
    // You can use either the fully specified SQL*net syntax or a short cut
    // syntax as <host>:<port>:<sid>.  The example uses the short cut syntax.
    Connection conn =
      DriverManager.getConnection ("jdbc:oracle:thin:@win95:1521:ORCL",
				   "system", "manager");

    // Create a Statement
    Statement stmt = conn.createStatement ();

    // Select the ENAME column from the EMP table
    ResultSet rset = stmt.executeQuery (sql);

	out.println("<TABLE>");

    // Iterate through the result and print the employee names
    while (rset.next ())
      out.println("<TR><TD>" + rset.getString (1) + "</TD></TR>");

	out.println("</TABLE>");
	} catch (SQLException e) {
		out.println("Error executing SQL");
	};

	out.println("</BODY></HTML>");
	out.close();
    }
}
