import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.*;

import html.*;

public class IBLogin extends HttpServlet 
{
    public void service(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException
    {
	String title = "Login Information";
	// first, set the "content type" header of the response
	res.setContentType("text/html");

	//Get the response's PrintWriter to return text to the client.
	PrintWriter context = res.getWriter();

	Page p = new Page(context, title);
	p.add(new Header(title, 2));

	// Get the session object
	HttpSession session = req.getSession(true);

	String username = req.getParameterValues("username")[0];
	String userpassword = req.getParameterValues("userpasswd")[0];
	String servername = req.getParameterValues("servername")[0];
	String instance = req.getParameterValues("database")[0];
	String dbms = "InterBase";

	Connection con; 
	if (session != null)
		con = (Connection) session.getValue("login.connection");
	else
		con = null;

	//insist that the client starts a new session
	//before access to data is allowed
	if (session.isNew() || con == null) {
		session.putValue("login.username", username);
		session.putValue("login.userpassword", userpassword);
		session.putValue("login.servername", servername);
		session.putValue("login.instance", instance);
		session.putValue("login.dbms", dbms);
		try {
			// Load the Oracle JDBC driver
			Class.forName ("interbase.interclient.Driver");
		} catch (ClassNotFoundException e) {
//			session.invalidate();
			p.add(new Text("Error loading InterBase JDBC Driver Class" + e));
		};

		try {
			// Connect to the database
			Connection conn =
	DriverManager.getConnection ("jdbc:interbase://" +
					servername + "/"
					+ instance, username, userpassword);
			session.putValue("login.connection", conn);
			p.add(new Text("Successful loged in !"));
		} catch (SQLException e) {
//			session.invalidate();
			p.add(new Text("Error executing SQL:" + e));
		};
	}
	else {
		p.add(new Text("Already loged in !"));
	}

	// paint HTML Page	
	p.paint(context);

	// Close the writer; the response is done.
	context.close();
    }
}
